### A free/open-source library for quantitative finance

Public Types | Public Member Functions
Singapore Class Reference
Calendars

Singapore calendars More...

`#include <ql/time/calendars/singapore.hpp>`

Inheritance diagram for Singapore:
[legend]

List of all members.

## Public Types

enum | Market { SGX }

## Public Member Functions

| Singapore (Market m=SGX)

## Detailed Description

Singapore calendars

Holidays for the Singapore exchange (data from <http://www.simex.com.sg>):

- Saturdays
- Sundays
- New Year's day, January 1st
- Good Friday
- Labour Day, May 1st
- National Day, August 9th
- Christmas, December 25th

Other holidays for which no rule is given (data available for 2004-2010 only:)

- Chinese New Year
- Hari Raya Haji
- Vesak Poya Day
- Deepavali
- Diwali
- Hari Raya Puasa

## Member Enumeration Documentation

enum Market

Enumerator:

  SGX | Singapore exchange.